TLS/SSL error

I am having trouble with conda and pip commands in atom terminal. see example error below.

If I run the commands from windows powershell I do not get the same error re the TLS/SSL.

I was not having this problem with windows 7. I recently installed windows 10.

I would appreciate any tips.

Thanks

John

WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
Could not fetch URL https://pypi.org/simple/pip/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(hos
t=‘pypi.org’, port=443): Max retries exceeded with url: /simple/pip/ (Caused by SSLError(“Can’t connect to HTTPS URL because
the SSL module is not available.”)) - skipping

Connecting to the internet through VPN fixes this error for me.

I get a new error now

“CommandNotFoundError: Your shell has not been properly configured to use ‘conda activate’.
If using ‘conda activate’ from a batch script, change your
invocation to ‘CALL conda.bat activate’.”

looking for solution

Thanks

John

I found a solution using a google search re atom editor.

Set the default shell in: Edit>>Settings>>Packages>>Platformio Ide Terminal>>Settings>>Shell Override

You can use the git’s bash as proposed here as you probably already have git installed.

C:\Program Files\Git\bin\bash.exe